var con = require("../../utils/data.js");
const app = getApp();

Page({

  data: {
    carname: "",
    ygname: "",
    chehao: 0,
    ygid: 0,
    bumenid: 0,
    pic: "",
    conmenttitle:"",
    faqnum: 0,
    content: [],
    pjpic: "",
    pjpicnum: 0,
    isuppic: 0
  },

  onLoad: function () {
    var that = this;
    var app = getApp();
    var id = app.requestid;
    var carname = app.requestname;
    console.log("id:" + id + ",carname:" + carname);

    // 加载内容
    wx.request({
      url: con.theme_bm_show,
      method: 'GET',
      data: {
        wxappid: con.wyy_user_wxappid,
        id:id,
        act: "loadbm"
      },
      header: {
        "Content-Type": "application/json"
      },
      success: function (res) {
        console.log(res.data);
        that.setData({ carname: carname, ygname: res.data.title, chehao: res.data.chehao, ygid: id, bumenid: res.data.zhiwei, pic: res.data.pic, content: res.data.content, conmenttitle: res.data.conmenttitle, faqnum: res.data.faqnum})
        wx.setNavigationBarTitle({
          title: res.data.title
        })
      }

    });

  },

  //表单提交
  formSubmit: function (e) {
    var that = this;
    if (that.data.isuppic == 1) {
      wx.showToast({
        title: "有图片正在上传，请稍后！",
        icon: "none",
        duration: 1500
      })
      return;
    }
    var faqnum = that.data.faqnum;
    var answer = "";
    var i = 0;
    //console.log("form携带数据为：" + e.detail.value);
    //console.log("数据长度" + faqnum);
    var jsonObj = e.detail.value;
    // 循环所有键
    for (var key in jsonObj) {
      //如果对象类型为object类型且数组长度大于0 或者 是对象 ，继续递归解析
      var element = jsonObj[key];
      if (element.length > 0 && typeof (element) == "object" || typeof (element) == "object") {
        parseJson(element);
      } else {
        //不是对象或数组、直接输出
        //console.log("---该行 -->  " + key + ":" + element + " ");
        if (key.substr(0, 2) == "pj" && element == "") {
          wx.showToast({
            title: "评价选项不能留空！",
            icon: "none",
            duration: 1500
          })
          return;
        } else if (key.substr(0, 2) == "pj" && element != "") {
          if (i==0){
            answer = answer + element;
            i++;
          }else{
            answer = answer + "|" + element;
          }
        } else if (key == "content" && element == "") {
          wx.showToast({
            title: "亲，最后的评价内容不能为空~",
            icon: "none",
            duration: 1500
          })
          return;
        }
      }
    }

    wx.showToast({
      title: "加载中...",
      icon: "loading",
      duration: 1500
    })
    wx.request({
      url: con.theme_bm_show + "?act=add&wxappid=" + con.wyy_user_wxappid,
      header: {
        "Content-Type": "application/x-www-form-urlencoded"
      },
      method: "POST",
      data: {
        answer: answer,
        comment: e.detail.value.content,
        chehao: that.data.chehao,
        ygid: that.data.ygid,
        bumenid: that.data.bumenid,
        faqnum: that.data.faqnum,
        name: e.detail.value.name,
        tel: e.detail.value.tel,
        pjpic: that.data.pjpic
      },
      success: function (res) {
        console.log(res.data);
        if (res.data.msg == "n") {
          wx.showToast({
            title: res.data.detail,
            icon: 'none',
            duration: 1500
          })
        } else {
          wx.showToast({
            title: "感谢您的评价",
            icon: "success",
            duration: 1500
          })
          setTimeout(function () {
            //要延时执行的代码
            wx.navigateBack({
              delta: 1
            })
          }, 1500) //延迟时间
        }
      }
    })

  },

  formReset: function () {
    console.log('form发生了reset事件')
  },

  //图片上传绑定函数
  bindpicup: function () {
    var that = this;
    var yscpic = that.data.pjpic;
    var yscpicnum = that.data.pjpicnum;
    var canuppicnum = 10 - yscpicnum;
    if (canuppicnum == 0) {
      wx.showToast({
        title: '上传数量已达10张',
        icon: 'none',
        mask: true,
        duration: 2000
      })
      return false;
    }

    wx.chooseImage({
      count: canuppicnum,  //最多可以选择的图片总数
      //sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function (res) {
        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        var tempFilePaths = res.tempFilePaths;
        //启动上传等待中...
        wx.showToast({
          title: '正在上传...',
          icon: 'loading',
          mask: true,
          duration: 10000
        })
        that.setData({ isuppic: 1 })
        var uploadImgCount = 0;
        for (var i = 0, h = tempFilePaths.length; i < h; i++) {
          wx.uploadFile({
            url: con.theme_bm_up,
            filePath: tempFilePaths[i],
            name: 'uploadfilepic',
            formData: {
              'imgIndex': i
            },
            header: {
              "Content-Type": "multipart/form-data"
            },
            success: function (res) {
              var data = JSON.parse(res.data);
              uploadImgCount++;
              console.log(data.msg);
              if (yscpic == "") {
                yscpic = data.msg;
              } else {
                yscpic = yscpic + "|" + data.msg;
              }
              //如果是最后一张,则隐藏等待中
              if (uploadImgCount == tempFilePaths.length) {
                wx.hideToast();
                that.setData({ pjpic: yscpic, pjpicnum: yscpicnum + uploadImgCount, isuppic: 0 })
                console.log("图片上传完毕");
              }
            },
            fail: function (res) {
              wx.hideToast();
              wx.showModal({
                title: '错误提示',
                content: '上传图片失败',
                showCancel: false,
                success: function (res) { }
              })
            }
          });
        }
      }
    });
  },

  // 栏目点击事件
  cateurl(event) {
    const id = event.currentTarget.dataset.id;
    const modeid = event.currentTarget.dataset.modeid;
    const catename = event.currentTarget.dataset.catename;
    console.log(id);
    console.log(modeid);
    console.log(catename);
    var app = getApp();
    app.requestcateid = id;
    app.requestmodeid = modeid;
    app.requestcatename = catename;
    wx.redirectTo({
      url: '../list/list'
    })
  }

})